iSkeletonSocketFactory Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iSkeletonSocketFactory Struct Reference

The skeleton socket factory is class that is used to create skeleton sockets of a iSkeleton object. More...

`#include <imesh/skeleton.h>`

Inheritance diagram for iSkeletonSocketFactory:

List of all members.

## Public Member Functions
virtual iSkeletonBoneFactory * | GetBone ()=0
| Get parent bone factory.
virtual csReversibleTransform & | GetFullTransform ()=0
| Get full transform.
virtual const char * | GetName () const =0
| Get name of the socket factory.
virtual csReversibleTransform & | GetTransform ()=0
| Get transform in parent's coordsys.
virtual void | SetBone (iSkeletonBoneFactory *bone)=0
| Set parent bone factory.
virtual void | SetName (const char *name)=0
| Set name.
virtual void | SetTransform (const csReversibleTransform &transform)=0
| Set transform in parent's coordsys.

## Detailed Description

The skeleton socket factory is class that is used to create skeleton sockets of a iSkeleton object.

Definition at line 750 of file skeleton.h.

## Member Function Documentation

virtual iSkeletonBoneFactory* iSkeletonSocketFactory::GetBone | ( |  | ) | `[pure virtual]`

Get parent bone factory.

virtual csReversibleTransform& iSkeletonSocketFactory::GetFullTransform | ( |  | ) | `[pure virtual]`

Get full transform.

virtual const char* iSkeletonSocketFactory::GetName | ( |  | ) | const`[pure virtual]`

Get name of the socket factory.

virtual csReversibleTransform& iSkeletonSocketFactory::GetTransform | ( |  | ) | `[pure virtual]`

Get transform in parent's coordsys.

virtual void iSkeletonSocketFactory::SetBone | ( | iSkeletonBoneFactory * | bone | ) | `[pure virtual]`

Set parent bone factory.

virtual void iSkeletonSocketFactory::SetName | ( | const char * | name | ) | `[pure virtual]`

Set name.

virtual void iSkeletonSocketFactory::SetTransform | ( | const csReversibleTransform & | transform | ) | `[pure virtual]`

Set transform in parent's coordsys.

The documentation for this struct was generated from the following file:

- imesh/skeleton.h